For the complete documentation index, see llms.txt. This page is also available as Markdown.

Hiboo Connect

The following endpoints allow you to share your equipment data with other organizations, and manage the sharing process.

List Sharing

get
/v2/fleet/sharings

Returns all Sharing instances that have been created

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Query parameters
offsetintegerRequired

The number of items to skip before starting to collect the result set

Example: 10
limitintegerRequired

The number of items to return

Example: 10
statusstring · enumOptional

Filter by sharing status

Example: in_progressPossible values:
assetIdintegerOptional

Filter by asset ID

Example: 1
Responses
200

successful operation

application/json
referencestringRequired

It can be a contract reference for instance

Example: contract-4242-2024
startDatestring · date-timeRequired

Date from which the sharing of data should start serialized as an ISO8601 string with a timezone (YYYY-MM-DDTHH:mm:ssZ).

Example: 2030-01-01T08:00:00Z
endDatestring · date-timeOptional

Date when the sharing of data should stop serialized as an ISO8601 string with a timezone (YYYY-MM-DDTHH:mm:ssZ). Equipment data will be shared as long as it is empty, so you can set it to null if the end date is unsure

Example: 2030-12-31T18:00:00Z
statusstring · enumOptional

Current status of the sharing:

  • pending: The beneficiary user has not yet created an organization in Hiboo
  • planned: The sharing will be active ("in progress" status) as soon as the start date is reached
  • in_progress: The sharing is in progress and the beneficiary users have access to the assets data stream
  • stopped: The sharing has been stopped before the initially scheduled end date. Beneficiary users don't have access to the assets current data stream anymore, but can still access the data history
  • completed: The sharing has ended on the scheduled date. Beneficiary users don't have access to the assets current data stream anymore, but can still access the data history
Possible values:
assetIdsnumber · int32[] · min: 1Required

All the equipment that you wish to share, use Hiboo's ids

Example: [1,2,3]
recipientstring · emailRequired

Recipient's email address

Example: john.doe@example.com
notificationEnabledbooleanRequired

Defines if the notification is enabled on the sharing creation/start actions

get/v2/fleet/sharings
GET /v2/fleet/sharings?offset=1&limit=1 HTTP/1.1
Host: api.hiboo.io
x-access-token: YOUR_API_KEY
Accept: */*
{
  "reference": "contract-4242-2024",
  "startDate": "2030-01-01T08:00:00Z",
  "endDate": "2030-12-31T18:00:00Z",
  "status": "pending",
  "dataPacksCodes": [
    "essential",
    "vehicle_conditions",
    "energy_and_fuel",
    "activity",
    "others",
    "usage_hours",
    "fault_codes"
  ],
  "assetIds": [
    1,
    2,
    3
  ],
  "recipient": "john.doe@example.com",
  "notificationEnabled": true,
  "properties": {
    "customer": "Customer Name",
    "site": "Site Name",
    "contract": "XK-123456",
    "purchaseOrder": "0986-XX-60",
    "project": "ABC-123-ZX-456",
    "accountNumber": "1234"
  }
}

Create a new Sharing

post
/v2/fleet/sharings

This endpoint will allow you to create a new instance of Sharing. It can be a contract for instance.

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Body
referencestringRequired

It can be a contract reference for instance

Example: contract-4242-2024
startDatestring · date-timeRequired

Date from which the sharing of data should start serialized as an ISO8601 string with a timezone (YYYY-MM-DDTHH:mm:ssZ). The date must not be before one rolling year.

Example: 2030-01-01T08:00:00Z
endDatestring · date-timeRequired

Date when the sharing of data should stop serialized as an ISO8601 string with a timezone (YYYY-MM-DDTHH:mm:ssZ). Equipment data will be shared as long as it is empty, set it to null if the end date is unsure. When set, it must be at least 1 hour after the start date.

Example: 2030-12-31T18:00:00Z
assetIdsnumber · int32[] · min: 1Required

All the equipment that you wish to share, use Hiboo's ids

Example: 1
recipientstring · emailRequired

Recipient's email address. The local part of the email address can only contain alphanumeric characters and the characters _ ' + - and .

Example: john.doe@example.com
notificationEnabledbooleanOptional

If false, the recipient will not be notified when the sharing is created or started

Responses
201

Successful operation

application/json
referencestringRequired

It can be a contract reference for instance

Example: contract-4242-2024
startDatestring · date-timeRequired

Date from which the sharing of data should start serialized as an ISO8601 string with a timezone (YYYY-MM-DDTHH:mm:ssZ).

Example: 2030-01-01T08:00:00Z
endDatestring · date-timeOptional

Date when the sharing of data should stop serialized as an ISO8601 string with a timezone (YYYY-MM-DDTHH:mm:ssZ). Equipment data will be shared as long as it is empty, so you can set it to null if the end date is unsure

Example: 2030-12-31T18:00:00Z
statusstring · enumOptional

Current status of the sharing:

  • pending: The beneficiary user has not yet created an organization in Hiboo
  • planned: The sharing will be active ("in progress" status) as soon as the start date is reached
  • in_progress: The sharing is in progress and the beneficiary users have access to the assets data stream
  • stopped: The sharing has been stopped before the initially scheduled end date. Beneficiary users don't have access to the assets current data stream anymore, but can still access the data history
  • completed: The sharing has ended on the scheduled date. Beneficiary users don't have access to the assets current data stream anymore, but can still access the data history
Possible values:
assetIdsnumber · int32[] · min: 1Required

All the equipment that you wish to share, use Hiboo's ids

Example: [1,2,3]
recipientstring · emailRequired

Recipient's email address

Example: john.doe@example.com
notificationEnabledbooleanRequired

Defines if the notification is enabled on the sharing creation/start actions

post/v2/fleet/sharings
POST /v2/fleet/sharings HTTP/1.1
Host: api.hiboo.io
x-access-token: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 382

{
  "reference": "contract-4242-2024",
  "startDate": "2030-01-01T08:00:00Z",
  "endDate": "2030-12-31T18:00:00Z",
  "excludedDataPackCodes": [
    "fault_codes"
  ],
  "assetIds": [
    1
  ],
  "recipient": "john.doe@example.com",
  "notificationEnabled": true,
  "properties": {
    "customer": "Customer Name",
    "site": "Site Name",
    "contract": "XK-123456",
    "purchaseOrder": "0986-XX-60",
    "project": "ABC-123-ZX-456",
    "accountNumber": "1234"
  }
}
{
  "reference": "contract-4242-2024",
  "startDate": "2030-01-01T08:00:00Z",
  "endDate": "2030-12-31T18:00:00Z",
  "status": "pending",
  "dataPacksCodes": [
    "essential",
    "vehicle_conditions",
    "energy_and_fuel",
    "activity",
    "others",
    "usage_hours",
    "fault_codes"
  ],
  "assetIds": [
    1,
    2,
    3
  ],
  "recipient": "john.doe@example.com",
  "notificationEnabled": true,
  "properties": {
    "customer": "Customer Name",
    "site": "Site Name",
    "contract": "XK-123456",
    "purchaseOrder": "0986-XX-60",
    "project": "ABC-123-ZX-456",
    "accountNumber": "1234"
  }
}

Get a sharing

get
/v2/fleet/sharings/{reference}

Returns a single sharing by reference

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Path parameters
referencestringRequired

The reference you defined when creating the sharing

Example: contract-4242-2024
Responses
200

Successful operation

application/json
referencestringRequired

It can be a contract reference for instance

Example: contract-4242-2024
startDatestring · date-timeRequired

Date from which the sharing of data should start serialized as an ISO8601 string with a timezone (YYYY-MM-DDTHH:mm:ssZ).

Example: 2030-01-01T08:00:00Z
endDatestring · date-timeOptional

Date when the sharing of data should stop serialized as an ISO8601 string with a timezone (YYYY-MM-DDTHH:mm:ssZ). Equipment data will be shared as long as it is empty, so you can set it to null if the end date is unsure

Example: 2030-12-31T18:00:00Z
statusstring · enumOptional

Current status of the sharing:

  • pending: The beneficiary user has not yet created an organization in Hiboo
  • planned: The sharing will be active ("in progress" status) as soon as the start date is reached
  • in_progress: The sharing is in progress and the beneficiary users have access to the assets data stream
  • stopped: The sharing has been stopped before the initially scheduled end date. Beneficiary users don't have access to the assets current data stream anymore, but can still access the data history
  • completed: The sharing has ended on the scheduled date. Beneficiary users don't have access to the assets current data stream anymore, but can still access the data history
Possible values:
assetIdsnumber · int32[] · min: 1Required

All the equipment that you wish to share, use Hiboo's ids

Example: [1,2,3]
recipientstring · emailRequired

Recipient's email address

Example: john.doe@example.com
notificationEnabledbooleanRequired

Defines if the notification is enabled on the sharing creation/start actions

get/v2/fleet/sharings/{reference}
GET /v2/fleet/sharings/{reference} HTTP/1.1
Host: api.hiboo.io
x-access-token: YOUR_API_KEY
Accept: */*
{
  "reference": "contract-4242-2024",
  "startDate": "2030-01-01T08:00:00Z",
  "endDate": "2030-12-31T18:00:00Z",
  "status": "pending",
  "dataPacksCodes": [
    "essential",
    "vehicle_conditions",
    "energy_and_fuel",
    "activity",
    "others",
    "usage_hours",
    "fault_codes"
  ],
  "assetIds": [
    1,
    2,
    3
  ],
  "recipient": "john.doe@example.com",
  "notificationEnabled": true,
  "properties": {
    "customer": "Customer Name",
    "site": "Site Name",
    "contract": "XK-123456",
    "purchaseOrder": "0986-XX-60",
    "project": "ABC-123-ZX-456",
    "accountNumber": "1234"
  }
}

Delete a Sharing

delete
/v2/fleet/sharings/{reference}

It totally deletes a Sharing as it never existed. This will only work if the Sharing has not started yet.

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Path parameters
referencestringRequired

The reference you defined when creating the Sharing

Example: contract-4242-2024
Responses
204

Sharing was successfully deleted

No content

delete/v2/fleet/sharings/{reference}
DELETE /v2/fleet/sharings/{reference} HTTP/1.1
Host: api.hiboo.io
x-access-token: YOUR_API_KEY
Accept: */*

No content

Update an existing sharing

patch
/v2/fleet/sharings/{reference}

Update an existing sharing by reference

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Path parameters
referencestringRequired

The reference you defined when creating the Sharing

Example: contract-4242-2024
Body
referencestringOptional

It can be a contract reference for instance

Example: contract-4242-2024
startDatestring · date-timeOptional

Date from which the sharing of data should start serialized as an ISO8601 string with a timezone (YYYY-MM-DDTHH:mm:ssZ). The date must not be before one rolling year.

Example: 2030-01-01T08:00:00Z
endDatestring · date-timeOptional

Date when the sharing of data should stop serialized as an ISO8601 string with a timezone (YYYY-MM-DDTHH:mm:ssZ). Equipment data will be shared as long as it is empty, so you can set it to null if the end date is unsure. When set, the resulting sharing (after merging with the existing dates) must last at least 1 hour.

Example: 2030-12-31T18:00:00Z
Responses
200

Successful operation

application/json
referencestringRequired

It can be a contract reference for instance

Example: contract-4242-2024
startDatestring · date-timeRequired

Date from which the sharing of data should start serialized as an ISO8601 string with a timezone (YYYY-MM-DDTHH:mm:ssZ).

Example: 2030-01-01T08:00:00Z
endDatestring · date-timeOptional

Date when the sharing of data should stop serialized as an ISO8601 string with a timezone (YYYY-MM-DDTHH:mm:ssZ). Equipment data will be shared as long as it is empty, so you can set it to null if the end date is unsure

Example: 2030-12-31T18:00:00Z
statusstring · enumOptional

Current status of the sharing:

  • pending: The beneficiary user has not yet created an organization in Hiboo
  • planned: The sharing will be active ("in progress" status) as soon as the start date is reached
  • in_progress: The sharing is in progress and the beneficiary users have access to the assets data stream
  • stopped: The sharing has been stopped before the initially scheduled end date. Beneficiary users don't have access to the assets current data stream anymore, but can still access the data history
  • completed: The sharing has ended on the scheduled date. Beneficiary users don't have access to the assets current data stream anymore, but can still access the data history
Possible values:
assetIdsnumber · int32[] · min: 1Required

All the equipment that you wish to share, use Hiboo's ids

Example: [1,2,3]
recipientstring · emailRequired

Recipient's email address

Example: john.doe@example.com
notificationEnabledbooleanRequired

Defines if the notification is enabled on the sharing creation/start actions

patch/v2/fleet/sharings/{reference}
PATCH /v2/fleet/sharings/{reference} HTTP/1.1
Host: api.hiboo.io
x-access-token: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 305

{
  "reference": "contract-4242-2024",
  "startDate": "2030-01-01T08:00:00Z",
  "endDate": "2030-12-31T18:00:00Z",
  "excludedDataPackCodes": [
    "fault_codes"
  ],
  "properties": {
    "customer": "Customer Name",
    "site": "Site Name",
    "contract": "XK-123456",
    "purchaseOrder": "0986-XX-60",
    "project": "ABC-123-ZX-456",
    "accountNumber": "1234"
  }
}
{
  "reference": "contract-4242-2024",
  "startDate": "2030-01-01T08:00:00Z",
  "endDate": "2030-12-31T18:00:00Z",
  "status": "pending",
  "dataPacksCodes": [
    "essential",
    "vehicle_conditions",
    "energy_and_fuel",
    "activity",
    "others",
    "usage_hours",
    "fault_codes"
  ],
  "assetIds": [
    1,
    2,
    3
  ],
  "recipient": "john.doe@example.com",
  "notificationEnabled": true,
  "properties": {
    "customer": "Customer Name",
    "site": "Site Name",
    "contract": "XK-123456",
    "purchaseOrder": "0986-XX-60",
    "project": "ABC-123-ZX-456",
    "accountNumber": "1234"
  }
}

Stop the sharing

delete
/v2/fleet/sharings/{reference}/in-progress

This endpoint will stop the sharing of data for the specified reference. It will not delete the sharing, but it will stop the data sharing process.

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Path parameters
referencestringRequired

The reference you defined when creating the Sharing

Example: contract-4242-2024
Responses
204

successful operation

No content

delete/v2/fleet/sharings/{reference}/in-progress
DELETE /v2/fleet/sharings/{reference}/in-progress HTTP/1.1
Host: api.hiboo.io
x-access-token: YOUR_API_KEY
Accept: */*

No content

Last updated

Was this helpful?